Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.io
Class SubordinateAccessOnlyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--com.novell.java.io.SubordinateAccessOnlyException

public class SubordinateAccessOnlyException
extends java.io.IOException

Signals that streams access to the given device is not supported.

The DataAccessable interface provides support for Input/Output streams and random access to the data of the DataAccessable object. There are two modes of opening access to these devices. First is to open the actual DataAccessable object. The second is to open subordinate access to the DataAccessable object. Some data objects, such as a Directory, might not support the first type of open (to itself) and would throw this exception.

See Also:
  `RandomAccess`, `NInputStream`, `NOutputStream`, Serialized Form

Constructor Summary
`SubordinateAccessOnlyException()` Constructs a SubordinateAccessOnlyException object with no detail message.
`SubordinateAccessOnlyException(java.lang.String s)` Constructs a SubordinateAccessOnlyException object with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubordinateAccessOnlyException

    public SubordinateAccessOnlyException()

  Constructs a SubordinateAccessOnlyException object with no detail message.

### SubordinateAccessOnlyException

    public SubordinateAccessOnlyException(java.lang.String s)

  Constructs a SubordinateAccessOnlyException object with the specified detail message.
  Parameters:
    `s` - The detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD